import miment from 'miment'
export default function (self) {
  return [{
    type: "selection",
    width: 40,
    align: "center"
  },
  {
    title: "报账单号",
    align: "center",
    width: 220,
    key: "claimNo",
    render: (h, params) => {
      return h("RowTools", {
        props: {
          data: [
            {
              text: params.row.claimNo,
              handle: () => {
                self.openTask(params.row);
              }
            }
          ]
        }
      });
    }
  },
  {
    title: "流水号",
    align: "center",
    minWidth: 140,
    key: "esbNo",
    render: (h, params) => {
      return h('div', [
         h('span', {
          attrs:{
            title:params.row.esbNo
          },
         }, params.row.esbNo)
     ]);
         
   }
  },
  {
    title: "失败信息",
    align: "center",
    width: 140,
    key: "message",
    render: (h, params) => {
      return h('div', [
         h('span', {
            attrs:{
              title:params.row.message
            },
         }, params.row.message)
     ]);
         
   }
  },
  {
    title: "发票编号",
    align: "center",
    minWidth: 140,
    key: "invoiceNo",
  },
  {
    title: "批名",
    align: "center",
    width: 140,
    key: "invoiceBatchNo",
    render: (h, params) => {
      return h('div', [
         h('span', {
          attrs:{
            title:params.row.invoiceBatchNo
          },
         }, params.row.invoiceBatchNo)
     ]);
         
   }
  },
  {
    title: "总账期间",
    align: "center",
    width: 140,
    key: "glDate",
    render: (h, params) => {
      return h(
        "div",
        {
          attrs: {
            class:
              "ivu-table-cell ivu-table-cell-ellipsis",
            title: miment(params.row.glDate).format("YYYY-MM")
          }
        },
        miment(params.row.glDate).format("YYYY-MM")
      );
    }
  },
  {
    title: "导入ERP日期",
    align: "center",
    width: 140,
    key: "importDate"
  },
  {
    title: "归属公司",
    align: "center",
    minWidth: 220,
    key: "ouName",
    render: (h, params) => {
      return h(
        "div",
        {
          attrs: {
            class:
              "ivu-table-cell ivu-table-cell-ellipsis",
            title: params.row.ouName
          }
        },
        params.row.ouName
      );
    }
  },
  {
    title: "业务大类",
    align: "center",
    width: 140,
    key: "categoryName"
  },
  {
    title: "摘要",
    align: "center",
    width: 140,
    key: "summary"
  },
  {
    title: "会计",
    align: "center",
    width: 140,
    key: "advanceAccountantName"
  },
  ]
}