import Vue from 'vue'
import Vuex from 'vuex'
import state from './state'
import actions from './actions'
import mutations from './mutations'
import getters from './getters'
import common from './modules/common/index.js'
import accountingGroup from './modules/accountingGroup/index.js'
import groupWorkRange from './modules/groupWorkRange/index.js'
import accountingWorkCalendar from './modules/accountingWorkCalendar/index.js'
import accountingNotOnDuty from './modules/accountingNotOnDuty/index.js'
import accountingOnDuty from './modules/accountingOnDuty/index.js'
import taskPoolMonitor from './modules/taskPoolMonitor/index.js'
import createInvoiceMonitor from './modules/createInvoiceMonitor/index.js'
import groupWorkRangeQuery from './modules/groupWorkRangeQuery/index.js'
import vuexEmsComponents from 'ems-components'


import { vuexModules, rootModules } from 'ripples-core';

Vue.use(Vuex)

export default new Vuex.Store({
    state: Object.assign({}, state, rootModules.state, vuexEmsComponents.state),
    actions: Object.assign({}, actions, rootModules.actions, vuexEmsComponents.actions),
    mutations: Object.assign({}, mutations, rootModules.mutations, vuexEmsComponents.mutations),
    getters: Object.assign({}, getters, rootModules.getters, vuexEmsComponents.getters),
    modules: Object.assign({},vuexModules, {
        common,
        accountingGroup,
        groupWorkRange,
        accountingWorkCalendar,
        accountingNotOnDuty,
        accountingOnDuty,
        taskPoolMonitor,
        createInvoiceMonitor,
        groupWorkRangeQuery
    })
})