import { debug } from "util";

export default {
  // 查询审核会计
  QueryAccounting: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAccountingUrl}/todo`, param).then((response) => {
        //   debugger;
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 分页查询会计分组信息
  QueryAccountingGroup: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAccountingUrl}/group/list`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },
  // 按id查询会计分组信息
  QueryAccountingGroupById: function ({ commit }, param) {
    // debugger;
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAccountingUrl}/group/query/` + param.groupId, {}).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 保存会计分组信息
  SaveAccountingGroup: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAccountingUrl}/group/save2update`, param.accountantGroup).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  // 删除会计分组信息
  DeletedAccountingGroup: function ({ commit }, param) {
    //  debugger;
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAccountingUrl}/group/delete/` + param, {}).then((response) => {
        //  debugger;
        resolve(response.data);
      })
        .catch((error) => {
          let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
}
