export default {

  // 查询日历信息
  QueryWorkCalendarInfo: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAccountingUrl}/accountantCalendar/findAllAccountantCalendar`, param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 设置工作时间
  SetWorkTime: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAccountingUrl}/accountantCalendar/setAccountantCalendarAllWorkTime`, param).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },

  // 设置是否工作日
  SetIsOrNoWorkDay: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAccountingUrl}/accountantCalendar/setAccountantCalendarWorkFlag`, param).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
}
