export default {

  // 查询小组名称
  QueryGroupName: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAccountingUrl}/todo`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 分页查询小组工作范围信息
  QueryGroupWorkRange: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAccountingUrl}/accountGroupWork/findAccountGroupWorkList`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 保存小组工作范围信息 
  SaveGroupWorkRange: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAccountingUrl}/accountGroupWork/save`, param.entity).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  UpdateGroupWorkRange: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAccountingUrl}/accountGroupWork/save`, param.entity).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },

  // 删除小组工作范围信息
  DeletedGroupWorkRange: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAccountingUrl}/accountGroupWork/delete`, param.workspaceIds).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
}
