export default {

  // 查询总数量汇总信息
  QueryTaskPoolTotal: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAccountingUrl}/pool/total/count`, param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },
  
  // 查询会计任务池-未指定小组任务总数量
  QueryTaskPoolNotAssignGroupTotal: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAccountingUrl}/pool/draft/unspecified/count`, param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 查询会计任务池-小组未分配任务总数量
  QueryTaskPoolNotAssignTotal: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAccountingUrl}/pool/draft/unassigned/count`, param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 查询会计任务池-小组未处理任务总数量
  QueryTaskPoolNotHandleTotal: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAccountingUrl}/pool/draft/unhandled/count`, param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 查询复核任务池-未指定小组任务总数量
  QueryReviewTaskPoolNotAssignGroupTotal: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAccountingUrl}/pool/review/unspecified/count`, param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 查询复核任务池-小组未分配任务总数量
  QueryReviewTaskPoolNotAssignTotal: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAccountingUrl}/pool/review/unassigned/count`, param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 查询复核任务池-小组未处理任务总数量
  QueryReviewTaskPoolNotHandleTotal: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAccountingUrl}/pool/review/unhandled/count`, param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 分页查询会计任务池-未指定小组任务
  QueryTaskPoolNotAssignGroup: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAccountingUrl}/pool/draft/list`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 会计任务池-未指定小组任务-手动分配
  ManualAssignTaskPoolNotAssignGroupTask: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAccountingUrl}/pool/draft/grouping`, param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 分页查询会计任务池-小组未分配任务
  QueryTaskPoolNotAssign: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAccountingUrl}/pool/draft/unassigned/list`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 会计任务池-小组未分配任务-分配
  AssignTaskPoolNotAssignTask: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAccountingUrl}/pool/draft/assigning`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 分页查询会计任务池-小组未处理任务
  QueryTaskPoolNotHandle: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAccountingUrl}/pool/draft/unhandled/list`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 会计任务池-小组未处理任务-重新分配
  ReAssignTaskPoolNotHandleTask: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAccountingUrl}/pool/draft/reassigning`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 分页查询复核任务池-未指定小组任务
  QueryReviewTaskPoolNotAssignGroup: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAccountingUrl}/pool/review/list`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 复核任务池-未指定小组任务-手动分配
  ManualAssignReviewTaskPoolNotAssignGroupTask: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAccountingUrl}/pool/review/grouping`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 分页查询复核任务池-小组未分配任务
  QueryReviewTaskPoolNotAssign: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAccountingUrl}/pool/review/unassigned/list`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 复核任务池-小组未分配任务-分配
  AssignReviewTaskPoolNotAssignTask: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAccountingUrl}/pool/review/assigning`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 分页查询复核任务池-小组未处理任务
  QueryReviewTaskPoolNotHandle: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAccountingUrl}/pool/review/unhandled/list`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 复核任务池-小组未处理任务-重新分配
  ReAssignReviewTaskPoolNotHandleTask: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAccountingUrl}/pool/review/reassigning`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },
}
